import javax.xml.transform.stream.StreamSource;
import java.util.stream.StreamSupport;

public class Instructor extends Person implements Teacher
{
    public Instructor()
    {
        this(null,null);
    }

    public Instructor(Long id, String name)
    {
        super(id, name);
    }


    @Override
    public void lecture(Iterable<? extends Learner> learners, Double numberOfHours)
    {
       int length = (int) StreamSupport.stream(learners.spliterator(),false).count();
        for (Learner learner : learners)
        {
            learner.learn(numberOfHours/length);
        }
    }

    @Override
    public void teach(Learner learner, Double numberOfHours)
    {
        learner.learn(numberOfHours);
    }
}
