import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@Configuration
public class InstructorsConfig
{
@Bean
public Instructors tcUsaInstructors()
{
 return new Instructors(new Instructor());
}

@Bean
public Instructors tcUkInstructors()
{
    return new Instructors(new Instructor());
}

@Bean
@Primary
public Instructors instructors()
{
    Instructors instructors = tcUkInstructors();
    instructors.addAll(tcUsaInstructors());
    return instructors;
}

}
